
## Intro to Sockets
    - KSATS(K0068, K0618)

### Overview

* OSI Model
* BSD Socket API
* UDP Client/Server
* TCP Client/Server

### Objectives

* Describe the different layers of OSI and TCP/IP Models
* Discuss String-based Protocol
* Perform socket programming in Python
* Write a TCP Client
* Write a TCP Server
* Write a UDP Sender
* Write a UDP Receiver
* Use the bind\(\) function in TCP/UDP
* Programmatically access web pages


---
#### To access the Basic Networking information slides please click [here](slides)

